function D = diffK(v,alpha);
  
%_________________________________________________________________________________
% diffK.m
% Arguments: v (saddlepoint), alpha (>1, Weibull parameter)
% This function computes the derivatives of the c.g.f. of the Weibull claim amount
%_________________________________________________________________________________

if 1,
M = 0; dM = 0; d2M = 0;
s0 = 1; s1 = 1; s2 = 1;

k = 0;
while abs(s0) > 1e-4,
	s0 = gamma(1+k/alpha)/gamma(k+1)*v^k;
	M = M+s0;
	k = k+1;
end;
k = 0;
while abs(s1) > 1e-4,
	s1 = gamma(1+(k+1)/alpha)/gamma(k+1)*v^k;
	dM = dM+s1;
	k = k+1;
end;
k = 0;
while abs(s2) > 1e-4,
	s2 = gamma(1+(k+2)/alpha)/gamma(k+1)*v^k ;
	d2M = d2M+s2; 
	k = k+1;
end;
end;

K = log(M);
dK = dM/M;
d2K = d2M/M-(dM/M)^2;

D = [K dK d2K];

