function D = diffMN(v,rho);
  
%_________________________________________________________________________________
% diffMN.m
% Arguments: v (saddlepoint), rho (geometric parameter)
% This function computes the derivatives of the m.g.f. of the geometric distribution
%_________________________________________________________________________________

M = rho/(1-(1-rho)*exp(v)); 
dM = rho*(1-rho)*exp(v)*(1-(1-rho)*exp(v))^(-2);
d2M = rho*(1-rho)*exp(v)*(1+(1-rho)*exp(v))*(1-(1-rho)*exp(v))^(-3); 

D = [M dM d2M];

