function f = ftm(v,rho,alpha,s);

%_____________________________________________________________________________________ 
% ftm.m
% Arguments: v (argument), rho (geometric parameter), alpha (Weibull parameter), 
%	     s (point of domain)
% This function computes the function to be minimized for obtaining the saddlepoint, 
% for the compound geometric total claim amount with Weibull individual claim amounts 
%_____________________________________________________________________________________ 

K = diffK(v,alpha);
M = diffMN(K(1),rho);
KZ0 = log((M(1)-rho)/(1-rho));

f = KZ0-s*v;
 



