%____________________________________________________________________________
% main.m  
% Main program for the computation of the saddlepoint approximation of the
% stability of the compound geometric total claim amount with Weibull
% individual claims
%____________________________________________________________________________

clear
%addpath /Volumes/imsv/gatto/Matlab 

mes = .01;
t1 = [.01:mes:1]; 
scal = 20;
t = t1*scal; % domain of the distribution  

x = input('Contamination point:  '); % .5 1.5 3 7   

rho = .3; % geometric parameter
alpha = 3; % Weibull parameter

mu = (1-rho)/rho*gamma(1+1/alpha); % expectation 

k = [];
y = 0; % starting point for the search of the saddlepoint 
for j = 1:length(t),
	y = fminsearch('ftm',y,[],rho,alpha,t(j));
	sp(j) = y;
	DdKZ0 = DdiffKZ0(y,t(j),x,rho,alpha); 
	r = sadstab(t(j),y,DdKZ0,rho); 
	if (t(j)<mu+5*mes*scal)&(t(j)>mu-1*mes*scal), 
		k = [k j];
		sf(j) = 0;
		st(j) = r(2);
	else
		sf(j) = r(1);
		st(j) = r(2);
	end; 
end;

if 1,
% linear interpolations around expectation
lk = length(k);
b = (sf(k(lk)+1)-sf(k(1)-1))/((lk+1)*mes*scal); % slope
a = sf(k(1)-1)-b*t(k(1)-1); % constant
for j = k,
	sf(j) = a+b*j*mes*scal;
end;

%b = (st(k(lk)+1)-st(k(1)-1))/((lk+1)*mes*scal); % slope
%a = st(k(1)-1)-b*(k(1)-1)*mes*scal; % constant
%for j = k,
%        st(j) = a+b*j*mes*scal;
%end;
end; 


