function D = DdiffK(v,alpha,beta,x);
  
%_________________________________________________________________________________
% DdiffK.m
% Arguments: v (saddlepoint), alpha, beta (gamma parameters), x (contamination 
% point)
% This function computes the derivatives of the c.g.f. of the gamma claim amount
% w.r.t. to the argument and to the contamination amount eps, evaluated at eps = 0 
%_________________________________________________________________________________

M = (beta/(beta-v))^alpha;

DK = exp(v*x)/M-1;
DdK = exp(v*x)/M*(x-alpha/(beta-v));
Dd2K = exp(v*x)/M*((x*(beta-v)-alpha)^2-alpha)/(beta-v)^2; 

D = [DK DdK Dd2K];

