function D = DdiffKZ0(v,t,x,lambda,alpha,beta);

%________________________________________________________________________________ 
% diffKZ0.m
% Arguments: v (saddlepoint), t (point of domain), x (point of contamination), 
% lambda (Poisson parameter), alpha, beta (gamma parameters)
% This function computes the derivatives of the c.g.f. of the compound Poisson 
% total claim amount with gamma individual claims w.r.t. to the argument and to 
% the contamination amount eps, evaluated at eps = 0 and at the saddlepoint 
%________________________________________________________________________________ 

K = diffK(v,alpha,beta);
M = diffMN(K(1),lambda); 
DK = DdiffK(v,alpha,beta,x); 

KZ0 = log((M(1)-exp(-lambda))/(1-exp(-lambda)));  
d2KZ0 = t*(M(3)*K(2)/M(2)+K(3)/K(2)-t); 
DKZ0 = t*DK(1)/K(2);  

D = [KZ0 d2KZ0 DKZ0]; 
% dj is the jth differentation w.r.t. the argument of the cgf and D is the 
% differentiation w.r.t. the amount of contamination eps and at eps = 0

