function f = ftm(v,lambda,alpha,beta,s);

%_____________________________________________________________________________________ 
% ftm.m
% Arguments: v (argument), lambda (Poisson parameter), alpha, beta (gamma parameters), 
%	     s (point of domain)
% This function computes the function to be minimized for obtaining the saddlepoint, 
% for the compound Poisson total claim amount with gamma individual claim amounts 
%_____________________________________________________________________________________ 


f1 = exp(lambda*(beta/(beta-v))^alpha)-1;
f2 = exp(lambda)-1;
f = log(f1/f2)-s*v;
 



