%____________________________________________________________________________
% main.m  
% Main program for the computation of the saddlepoint approximation of the
% stability of the compound Poisson total claim amount with gamma individual
% claims
%____________________________________________________________________________

clear
%addpath /Volumes/imsv/gatto/Matlab 

mes = .01;
t1 = [.01:mes:1]; 
scal = 25;
t = t1*scal; % domain of the distribution  

x = input('Contamination point:  '); % 1 2 5 10  

lambda = 2; % Poisson parameter
alpha = 2; beta = 1; % gamma parameters
mu = lambda*alpha/beta/(1-exp(-lambda)); % expectation of Z0 

k = [];
y = 0; % starting point for the search of the saddlepoint 
for j = 1:length(t),
	y = fminsearch('ftm',y,[],lambda,alpha,beta,t(j));
	sp(j) = y;
	DdKZ0 = DdiffKZ0(y,t(j),x,lambda,alpha,beta);
	r = sadstab(t(j),y,DdKZ0,lambda); 
	if (t(j)<mu+4*mes*scal)&(t(j)>mu-4*mes*scal), 
		k = [k j];
		sf(j) = 0;
                st(j) = 0;
	else
		sf(j) = r(1);
		st(j) = r(2); 
	end; 
end;

% linear interpolations around expectation
lk = length(k);
b = (sf(k(lk)+1)-sf(k(1)-1))/((lk+1)*mes*scal); % slope
a = sf(k(1)-1)-b*t(k(1)-1); % constant
for j = k,
	sf(j) = a+b*j*mes*scal;
end;

b = (st(k(lk)+1)-st(k(1)-1))/((lk+1)*mes*scal); % slope
a = st(k(1)-1)-b*(k(1)-1)*mes*scal; % constant
for j = k,
        st(j) = a+b*j*mes*scal;
end;

